Summary:	Mathomatic - a symbolic math program
Summary(hu.UTF-8):	Mathomatic - szimbolikus számításokra képes program
Summary(pl.UTF-8):	Mathomatic - program do matematyki symbolicznej
Name:		mathomatic
Version:	16.0.0
Release:	3
License:	LGPL
Group:		Applications/Math
Source0:	http://www.panix.com/~gesslein/%{name}-%{version}.tar.bz2
# Source0-md5:	a349471e997afcfa222964692780b567
URL:		http://www.mathomatic.com/math/
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mathomatic is a symbolic math program that can automatically solve,
simplify, differentiate, combine, and compare algebraic equations,
perform polynomial and complex arithmetic, etc. The C source code is
available for a UNIX/Linux freeware version. It was written by George
Gesslein II and has been under development since 1986.

%description -l hu.UTF-8
Mathomatic egy szimbolikus számításokra képes program, amely
automatikus megold, egyszerűsít, differenciál, kombinál és hasonlít
össze algebrai egyenleteket, ismeri polinomikus és komplex
aritmetikát, stb. A C forráskód elérhető UNIX/Linux-ra. George
Gesslein II írta, és 1986 óta fejlesztik.

%description -l pl.UTF-8
Mathomatic jest pakietem do obliczeń w matematyce symbolicznej, który
może automatycznie rozwiązywać, upraszczać, różnicować, kombinować i
porównywać równania algebraiczne. Kod w C jest dostępny darmowo dla
środowisk UNIX/Linux. Został napisany przez George Gesslein II i jest
rozwijany od roku 1986.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DUNIX -DREADLINE -DVERSION=\\"\"%{version}\\"\" -I%{_includedir}/ncurses" \
	LDFLAGS="%{rpmldflags}" \
	LDLIBS="-lm -lreadline -ltinfow" \
	READLINE=1

%install
rm -rf $RPM_BUILD_ROOT
install -D %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt doc/*.html
%attr(755,root,root) %{_bindir}/*
%changelog
* Thu Oct 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mathomatic.git;a=log;h=master

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 826a009
- release 3 (by relup.sh)

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 5d9347e
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Mon Jul 02 2012 Zsolt Udvari <uzsolt@pld-linux.org> 28fa3c2
- 16.0.0

* Sat May 26 2012 Zsolt Udvari <uzsolt@pld-linux.org> de561c3
- 15.8.5

* Fri May 11 2012 Zsolt Udvari <uzsolt@pld-linux.org> d12cfc0
- 15.8.4

* Sun Apr 29 2012 Zsolt Udvari <uzsolt@pld-linux.org> 449623c
- 15.8.3

* Sun Mar 25 2012 Zsolt Udvari <uzsolt@pld-linux.org> 2ee5436
- 15.8.2

* Sun Feb 19 2012 Zsolt Udvari <uzsolt@pld-linux.org> 32245e3
- 15.8.0

* Thu Feb 02 2012 Zsolt Udvari <uzsolt@pld-linux.org> 713e271
- 15.7.3

* Fri Nov 18 2011 Zsolt Udvari <uzsolt@pld-linux.org> 43f2f0b
- 15.7.1

* Thu Nov 03 2011 Zsolt Udvari <uzsolt@pld-linux.org> b603b52
- 15.7.0

* Mon Sep 26 2011 Zsolt Udvari <uzsolt@pld-linux.org> 40e7a93
- 15.6.5

* Thu Aug 25 2011 Zsolt Udvari <uzsolt@pld-linux.org> 7040eb1
- 15.6.4

* Sun Jun 12 2011 Zsolt Udvari <uzsolt@pld-linux.org> 46e50f8
- 15.6.2

* Mon Jun 06 2011 Zsolt Udvari <uzsolt@pld-linux.org> 24660cd
- 15.6.1
- removed empty exampledir

* Wed May 04 2011 Zsolt Udvari <uzsolt@pld-linux.org> 7bec355
- 15.6.0

* Wed Apr 20 2011 Zsolt Udvari <uzsolt@pld-linux.org> 3c826e1
- 15.5.3

* Tue Mar 22 2011 Zsolt Udvari <uzsolt@pld-linux.org> 4da6290
- 15.5.2

* Fri Mar 11 2011 Zsolt Udvari <uzsolt@pld-linux.org> 2fc96b8
- 15.5.1

* Mon Feb 28 2011 Zsolt Udvari <uzsolt@pld-linux.org> 0033c61
- 15.5.0

